* {
    list-style: none;
    text-decoration: none;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
font-family: "Quicksand", sans-serif;
}


:root {
    --background-color: #292828;
    --text_color: #cac2c2;
    --hover-color: #c56c19;
    --line: #e7964b;
    --content: #c56c18c4;  
    --black: #000;
    --white: #fff;
    
}
body {
  width: 100%;
  min-height: 100vh; /* Oprava: Aby pozadie nezmizlo pri scrollovaní */
  background-color: rgb(185, 191, 194);
}
nav {
  position: sticky;
  top: 0;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  background-color: var(--background-color);
  align-items: center;
  z-index: 100;
  width: 100%;
  height: 60px;
  box-shadow: 0 0 10px #000;
  padding: 0 20px;
   font-weight: 600;
}

.logo img {
/*   color: var(--text_color);
  font-weight: 600;
  cursor: pointer; 
  font-size: 1.2rem; */
  width: 120px;
   filter: opacity(60%);
   cursor: pointer;

}

nav ul {
  display: flex;
  flex-direction: row;
  gap: 20px;
}

nav ul li a {
  color: var(--text_color);
  padding: 8px 12px;
  border-radius: 5px;
  font-size: 1.1rem;
  transition: background-color 0.3s ease;
}

nav ul li a:hover {
  background-color: var(--hover-color);
  color: #3d3c3c;
 
}

/* BURGER MENU */
nav .menu {
  display: none;
  flex-direction: column;
  justify-content: space-between;
  width: 30px;
  height: 22px;
  cursor: pointer;
}

nav .menu span {
  display: block;
  width: 100%;
  height: 3px;
  border-radius: 3px;
  background-color: var(--text_color);
  transition: all 0.3s ease;
}

.menu.active .stredne {
  opacity: 0;
}

.menu.active .horne {
  transform: translateY(9px) rotate(45deg); 
}

.menu.active .spodne {
  transform: translateY(-10px) rotate(-45deg); 
}
/* CONTENT */
.content {
  display: flex;
  background-color: #c56c18c4;
  width: 100%;
  height: auto;
  justify-content: space-around;
  align-items: center;
  padding: 50px;
}

.flex {
  flex: 1;
  min-width: 0;
  text-align: center;
  
}

.flex1 {

  text-align: left;
  padding: 20px;
  /* Flexbox vo vnútri zabezpečí presné rozostupy */
  display: flex;
  flex-direction: column;
  align-items: flex-start; /* Zarovná text aj obrázok doľava */
}

.content .flex1 img {
  display: block;
  width: 300px;
  max-width: 100%; /* Aby obrázok nepretiekol na mobiloch */
  height: auto;
  margin-top: 15px;   /* Medzera NAD obrázkom */
  margin-bottom: 15px;/* Medzera POD obrázkom (namiesto záporného marginu) */
  filter: drop-shadow(5px 2px 10px #cecccc) invert(100%);
  
}

.content .description {
    color: #f8f8f8;
    font-weight: 400;
    
}

/* Pridaná trieda pre text pod obrázkom */
.flex1 .description {
  margin-bottom: 20px; /* Medzera medzi textom a tlačidlom */
  font-size: 15px;
}

.flex1 button {
    width: 200px;
    height: 40px;
    border-radius: 30px;
    border: none;
    cursor: pointer;
    font-weight: 600;
    background-color: #d6c6b6;
    transition: all 0.5s ease;
    font-size: 18px;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    box-shadow: 1px 5px 10px var(--background-color);


}
.flex1 button:hover {
    box-shadow: inset 1px 5px 10px var(--background-color);
    transition: all 0.5s ease;
    
}

.btn-line{
    display: flex;
    flex-direction: column;
    gap: 20px;
    width: 100%;
}
.btn-line .rezervation {
    background-color: #c7c415;
}




.flex2 .bo img {
    max-width: 100%;
    filter: opacity(80%);
    filter: drop-shadow(2px 5px 10px #2e2c2c);
    
}

.why h1 {
    width: 100%;
    height: 50px;
    background-color: #e7964b;
    display: flex;
    justify-content: center;
    font-size: 17pt;
    box-shadow: 1px 4px 10px #000;
    align-items: center;
}
.whytg {
    width: 100%;
    background-color: var(--background-color);
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 2rem;
    padding: 2rem;

}
.whytg-box{
    position: relative;
    max-width: 800px;
    width: 100%;
    
    max-height: 200px;
    border: 1px solid #575757;
    
    border-radius: 20px;  
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 20px;

    transition: all 0.5s ease;

}
.whytg-box:hover {
    cursor: pointer;
    transition: all 0.5s ease;
    transform: translateY(-5px);
    box-shadow: 1px 2px  10px #000;
    border: 1px solid var(--hover-color);
}
.whytg-box p
 {
    color: var(--text_color);
    padding: 20px;
}

.whytg-box h3 {
 
    color: var(--hover-color);
}


/* ==========================
 CENNIK
============================= */

.pricelist-line h1 {
    width: 100%;
    height: 50px;
    background-color: #e7964b;
    display: flex;
    justify-content: center;
    font-size: 17pt;
    box-shadow: 1px 4px 10px #000;
    align-items: center;

}

.pricelist {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    min-height: auto;
   background-image: linear-gradient(to bottom, #292828, #c56c18c4)
    /* background-color: var(--content) */;
    padding: 2rem;
}

.pricelist h3 {
    font-size: 30px;
    padding: 20px;
    color: white;
    margin-bottom: 20px;
    
}

.pricelist-table {
    width: 100%;
    max-width: 800px;
    height: auto;
   background-color: var(--text_color);
    display: flex;
    flex-direction: column;
    border-radius: 20px;
    padding: 10px;
   box-shadow: 1px 8px 20px 0px var(--background-color);
    
    

}
.pricelist-table p {
    display: flex;
    justify-content: space-between;
    text-align: center;
    padding: 20px;
    border-bottom: 5px solid var(--content);
    
}
.pricelist-table .pricelist-text {
    text-align: center;
    display: flex;
    justify-content: center;
    font-size: 20px;
    font-weight: 600;
    border: none;
}

.minimal-price {
    font-size: 20px;
    align-items: center;
}
.minimal-price span {
    font-size: 25px;
    font-weight: 600;

    background-color: #45a120;
    color: #fff;
    padding: 5px;
    border-radius: 15px;
}

.indicativepricelist {
    max-width: 800px;
    display: flex;
    flex-direction: column;

    
   
}
.indicativepricelist h3 {
    width: 100%;
    text-align: center;
    margin-top: 20px;
    margin-bottom: 20px;
    color: white;
}

.indicativepricelist .indicativepricelist-table {
    width: 100%;
    height: auto;
    background-color: var(--text_color);
    border-radius: 30px;
    display: flex;
    flex-direction: column;
    text-align: center;
padding: 10px;
   box-shadow: 1px 8px 20px 0px var(--background-color);
    

    

    
    
   
    
}
.indicativepricelist .indicativepricelist-table p {
    display: flex;
    justify-content: space-between;
    border-bottom: 5px solid var(--content);
    padding: 20px;
    
}

.indicativepricelist .letters {
    background-color: var(--hover-color);
    padding: 15px;
    color: white;
    font-size: 20px;
    font-weight: 600;
    overflow: hidden;
    
   
}

.letters-move {
    margin-top: 20px;
}

.pricelist-note {
    max-width: 800px ;
    margin: 20px;
    padding: 15px;
    color: white;
}
.timetable {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
}
.timetable a {
    color: var(--black);
    padding: 10px;
    border-radius: 20px;
    box-shadow: 1px 5px 10px var(--background-color);
    background-color: #34bdaabe;

    display: flex;
    justify-content: space-evenly;
    width: 250px;
    align-items: center;
}

.timetable a:hover {
    color: var(--black);
   /*  border: 1px solid var(--white); */
    border-radius: 20px;
    padding: 10px;

    box-shadow: inset 1px 5px 10px var(--background-color);
}

.timetable p {
    color: var(--white);
    padding: 20px;


}

 /* =========================================
                    KONTAKT
============================================= */

.contact {
    width: 100%;
    height: auto;
    background-color: #fff;   
    display: flex;
    justify-content: center;
    align-items: center; 
    padding: 20px;
    flex-direction: column;
    gap: 30px;
}
.contact h2 {
    padding: 50px;
    font-weight: 600;
    width: 100%;
    text-align: center;
    font-size: 35px;

    background-color: #a8a4a331;

    border-radius: 10px;


}

.contact-form h2 {
    font-size: 25px;
    padding: 10px;
    background-color: transparent;
}

.contact-table {
    max-width:  1200px;
    width: 100%;
    height: auto;
    background-color: transparent;
    display: flex;
    gap: 20px;
    justify-content: space-between;

}
.ct {
    flex: 1;
    display: flex;
    flex-direction: column;
    width: 100%;
    height: auto;
    background-color: transparent;
    
}

.contact-map {
    background-color: transparent;
    width: 100%;
    height: auto;
    
}
.contact-map iframe {
    opacity: hiden;
    width: 100%;
    height: 100%;
    border-radius: 10px;
    border: 2px solid #9c9a9a;
    
    
}
.contact-form {
    width: 100%;
    height: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    
}
.contact-form  form{
    width: 100%;
    max-width: 500px;
    padding: 20px;
    display: flex;
    text-align: center;
    flex-direction: column;
   
    border-radius: 10px;
   
    background-color: #aca8a831;
    gap: 20px;

   
}

.contact-form form:hover {
     box-shadow:  1px 2px 10px var(--background-color);
     cursor: default;
}

.contact-form form input {
    border-radius: 5px;
    border: none;
    height: 40px;
  
    padding: 10px;
    text-align: left;
    background-color: var(--white)
    
}

.contact-form form textarea {
    background: var(--white);
    border: none;
    padding: 10px;

}


.contact-form form input::placeholder {


}

.contact-form form input,
textarea:focus {
    outline: none;

}

textarea {
    resize: none;
    width: 100%;
    height: 100px;
    border-radius: 20px;
}

.checkbox-table{
    display: flex;
    justify-content: space-around;
    align-items: center;
    text-align: center;
}


.contact-form form button {
    width: 100%;
    height: 40px;
    background-color: #5660e4;
    border: none;
    border-radius: 5px;

    color: var(--white);
}




/* =============================================
                MEDIA SCREEN 
============================================  */
 /* dispozicia pre Mobily */ 
@media screen and (max-width: 767px) {
  nav .menu {
    display: flex; /* Zobrazí burger ikonu */
  }

  nav ul {
    display: none; /* Skryje klasické menu */
    flex-direction: column;
    background-color: var(--background-color); 
    position: absolute;
    top: 60px;
    left: 0;
    width: 100%;
    gap: 0;
    border-top: 2px solid var(--text_color);
    box-shadow: 0 10px 15px rgba(0,0,0,0.3);
  }

  nav ul.active {
    display: flex; /* Zobrazí vertikálne menu po kliknutí */
  }

  nav ul li {
    width: 100%;
    text-align: center;
  }

  nav ul li a {
    display: block;
    padding: 15px;
    border-radius: 0;
    border-bottom: 1px solid rgba(255, 255, 255, 0.05);
  }
 }

 /* Dispozicia pre Tablety */
 @media screen and (max-width: 992px){ 
.content {
    display: flex;
    flex-direction: column;
}
.content .flex2 {
    display: none;
}
 .contact-table {
    display: flex;
    flex-direction: column;
 }
 }



 